Bug 622194 - Crash in kernel radeon module in radeon_pm_set_clocks
Crash in kernel radeon module in radeon_pm_set_clocks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-07 21:19 EDT by Carl G.
Modified: 2012-08-16 17:23 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl G. 2010-08-07 21:19:52 EDT
Description of problem:

The system hang. Happened once.

Version-Release number of selected component (if applicable):

2.6.35-0.57.rc6.git1.fc14.x86_64

I think i was using dynpm if it can help.

01:00.0 VGA compatible controller: ATI Technologies Inc RV770 [Radeon HD 4870] (prog-if 00 [VGA controller])

Additional info:Aug  7 21:00:54 BubbleWork kernel: general protection fault: 0000 [#1] SMP 
Aug  7 21:00:54 BubbleWork kernel: last sysfs file: /sys/devices/system/cpu/cpu1/cache/index2/shared_cpu_map
Aug  7 21:00:54 BubbleWork kernel: CPU 1 
Aug  7 21:00:54 BubbleWork kernel: Modules linked in: ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat bridge stp llc coretemp sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf nf_conntrack_netbios_ns ip6t_REJECT xt_physdev nf_conntrack_ipv6 ip6table_filter ip6_tables kvm_intel kvm uinput snd_hda_codec_atihdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_usb_audio snd_usbmidi_lib snd_hwdep snd_seq snd_rawmidi snd_seq_device snd_pcm gspca_zc3xx gspca_main snd_timer videodev snd v4l1_compat soundcore e1000e iTCO_wdt v4l2_compat_ioctl32 x38_edac edac_core snd_page_alloc iTCO_vendor_support joydev i2c_i801 serio_raw microcode ipv6 autofs4 cryptd aes_x86_64 aes_generic xts gf128mul dm_crypt radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Aug  7 21:00:54 BubbleWork kernel:
Aug  7 21:00:54 BubbleWork kernel: Pid: 139, comm: radeon/1 Tainted: G          I 2.6.35-0.57.rc6.git1.fc14.x86_64 #1 DX48BT2/        
Aug  7 21:00:54 BubbleWork kernel: RIP: 0010:[<ffffffffa00cda43>]  [<ffffffffa00cda43>] radeon_pm_set_clocks+0x1a9/0x53d [radeon]
Aug  7 21:00:54 BubbleWork kernel: RSP: 0018:ffff880124c11cb0  EFLAGS: 00010206
Aug  7 21:00:54 BubbleWork kernel: RAX: ffffffffa00fc3d0 RBX: ffff880124c0c000 RCX: ffff880124c11b78
Aug  7 21:00:54 BubbleWork kernel: RDX: 000000002ea52ea4 RSI: ffff88008bf17070 RDI: 6b6b6b6b6b6b6b6b
Aug  7 21:00:54 BubbleWork kernel: RBP: ffff880124c11d40 R08: ffff88012578c0d0 R09: 0000000000000000
Aug  7 21:00:54 BubbleWork kernel: R10: ffff88012578c0f8 R11: 0000000000000000 R12: 6b6b6b6b6b6b6b6b
Aug  7 21:00:54 BubbleWork kernel: R13: ffff880124c0d398 R14: ffff880125650000 R15: ffff880124c11ce0
Aug  7 21:00:54 BubbleWork kernel: FS:  0000000000000000(0000) GS:ffff880002e00000(0000) knlGS:0000000000000000
Aug  7 21:00:54 BubbleWork kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Aug  7 21:00:54 BubbleWork kernel: CR2: 00007f05bdf9b000 CR3: 0000000077e10000 CR4: 00000000000406e0
Aug  7 21:00:54 BubbleWork kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug  7 21:00:54 BubbleWork kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug  7 21:00:54 BubbleWork kernel: Process radeon/1 (pid: 139, threadinfo ffff880124c10000, task ffff880125650000)
Aug  7 21:00:54 BubbleWork kernel: Stack:
Aug  7 21:00:54 BubbleWork kernel: ffff880124c11d20 0000000000000046 ffff880124c0cc88 0000000000000046
Aug  7 21:00:54 BubbleWork kernel: <0> ffff880124c0cd20 ffff880124c0e488 0000000000000000 ffff880125650000
Aug  7 21:00:54 BubbleWork kernel: <0> ffffffff8106b39e ffff880124c11cf8 ffff880124c11cf8 00000000000186a0
Aug  7 21:00:54 BubbleWork kernel: Call Trace:
Aug  7 21:00:54 BubbleWork kernel: [<ffffffff8106b39e>] ? autoremove_wake_function+0x0/0x39
Aug  7 21:00:54 BubbleWork kernel: [<ffffffffa00ce21f>] radeon_dynpm_idle_work_handler+0x15a/0x19c [radeon]
Aug  7 21:00:54 BubbleWork kernel: [<ffffffff81066f29>] worker_thread+0x258/0x357
Aug  7 21:00:54 BubbleWork kernel: [<ffffffff81066ed0>] ? worker_thread+0x1ff/0x357
Aug  7 21:00:54 BubbleWork kernel: [<ffffffffa00ce0c5>] ? radeon_dynpm_idle_work_handler+0x0/0x19c [radeon]
Aug  7 21:00:54 BubbleWork kernel: [<ffffffff8106b39e>] ? autoremove_wake_function+0x0/0x39
Aug  7 21:00:54 BubbleWork kernel: [<ffffffff81066cd1>] ? worker_thread+0x0/0x357
Aug  7 21:00:54 BubbleWork kernel: [<ffffffff8106aed0>] kthread+0x9a/0xa2
Aug  7 21:00:54 BubbleWork kernel: [<ffffffff8100aae4>] kernel_thread_helper+0x4/0x10
Aug  7 21:00:54 BubbleWork kernel: [<ffffffff81499250>] ? restore_args+0x0/0x30
Aug  7 21:00:54 BubbleWork kernel: [<ffffffff8106ae36>] ? kthread+0x0/0xa2
Aug  7 21:00:54 BubbleWork kernel: [<ffffffff8100aae0>] ? kernel_thread_helper+0x0/0x10
Aug  7 21:00:54 BubbleWork kernel: Code: bb 98 13 00 00 4c 8d ab 98 13 00 00 4c 39 ef 74 23 4c 8b 27 eb 19 83 bf 3c 01 00 00 02 75 09 48 83 c7 48 e8 d6 40 f9 ff 4c 89 e7 <4d> 8b 24 24 4c 39 ef 75 e2 80 bb f8 11 00 00 00 74 39 45 31 ed 
Aug  7 21:00:54 BubbleWork kernel: RIP  [<ffffffffa00cda43>] radeon_pm_set_clocks+0x1a9/0x53d [radeon]
Aug  7 21:00:54 BubbleWork kernel: RSP <ffff880124c11cb0>
Aug  7 21:00:54 BubbleWork kernel: ---[ end trace a7919e7f17c0a727 ]---
Comment 1 Kevin Fenzi 2010-08-08 17:29:24 EDT
Moving over to radeon and resetting title. ;)
Comment 2 Carl G. 2010-08-12 15:02:12 EDT
xorg-x11-drv-ati-6.13.1-1.20100705git37b348059.fc14.x86_64
Comment 3 Dave Airlie 2010-12-04 03:28:23 EST
still a problem with F14 final kernel?
Comment 4 Fedora End Of Life 2012-08-16 17:23:19 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.